Subject: Re: [PWE3] draft-jin-pwe3-cbit-negotiation-01

From: venkatesan mahalingam <[email-masked]>
Date: Thu, 25 Nov 2010 19:05:35 +0530

Hi,
Option 1: Control Word Re-Negotiation by Label Request looks good to me.
I think, it is not violating any LDP Downstream Unsolicited Label
Advertisement by sending label request message from PE2.

I think, we may have similar issue in status TLV negotiation also.

Thanks,
Venkat.

   - *To*: Ed <maillist.ed at gmail.com <[email-masked]>>
   - *Subject*: Re: [PWE3] draft-jin-pwe3-cbit-negotiation-01
   - *From*: lizhong.jin at zte.com.cn <[email-masked]>
   - *Date*: Thu, 25 Nov 2010 19:18:39 +0800
   - *Cc*: vishwas at ipinfusion.com <[email-masked]>, pwe3 at
   ietf.org <[email-masked]>, thomas.nadeau at
huawei.com<[email-masked]>
   - *Delivered-to*: pwe3 at core3.amsl.com <[email-masked]>
   - *In-reply-to*: <AANLkTim6e==d_P2suW14YRtTDM-9H_Zu_oWjd03oRASe at
   mail.gmail.com<[email-masked]>>

   - *List-archive*: <http://www.ietf.org/mail-archive/web/pwe3>
   - *List-help*:
<mailto:[email-masked]?subject=help<[email-masked]?subject=help>>

   - *List-id*: Pseudo Wires Edge to Edge <pwe3.ietf.org>
   - *List-post*: <mailto:[email-masked] <[email-masked]>>
   - *List-subscribe*: <https://www.ietf.org/mailman/listinfo/pwe3>, <
   mailto:[email-masked]?subject=subscribe<[email-masked]?subject=subscribe>>

   - *List-unsubscribe*: <https://www.ietf.org/mailman/listinfo/pwe3>, <
   mailto:[email-masked]?subject=unsubscribe<[email-masked]?subject=unsubscribe>>

------------------------------

Hi Edward,
See the comments in line. Thanks.

Lizhong

Ed <maillist.ed at gmail.com> wrote on 2010-11-25 08:47:30:

> Hi Raymond,
>
> Option 1 seems to be simply to resignal the FEC - with the
> corresponding traffic forwarding impact. Can PE2 send a new label
> mapping with cbit=1 be sent without requiring label withdrawal
> message and label request message, for example?
[Lizhong] maybe not allowed, for this behavior will break existing CW
negotiation mechanism.

>
> Also, does the the changing of the control word from PREFERRED to
> non-PREFERRED need to be considered as well?
[Lizhong] good idea, should be considered in next version.

>
> Thanks
>
> Regards,
> Edward
>
>
> On Wed, Nov 24, 2010 at 11:12 PM, Reshad Rahman (rrahman) <rrahman at
cisco.com
> > wrote:
> I agree with Sami. Maybe the other options should be in appendix
> with an explanation of why they were not chosen?
>
> Regards,
> Reshad.
>
> From: pwe3-bounces at ietf.org [mailto:pwe3-bounces at ietf.org] On Behalf
Of
> Sami Boutros (sboutros)
> Sent: Tuesday, November 23, 2010 12:11 AM
> To: Raymond Key; pwe3 at ietf.org
>
> Cc: thomas.nadeau at huawei.com; lizhong.jin at zte.com.cn; vishwas at
ipinfusion.com
> Subject: Re: [PWE3] draft-jin-pwe3-cbit-negotiation-01
>
> I personally like option 1 in this draft, describing how to re-
> enable control word via dynamic LDP signaling.
>
> However, you would need to clarify the steps more..
> saying in step 3 that PE2 MUST send a label request and in step 5
> that PE1 MUST respond to the label request with the configured CW
> setting on PE1 which was set, as well in step 6 PE2 MUST wait for
> PE1 label binding before sending it's label binding with CW set.
>
> As well, it may be good extending the flow chart described in
> appendix A in rfc 4447 with option 1.
>
> Not sure, if it is worth mentioning the other options since they have
issues.
>
> Option 2, how will we be able to re-enable CW? isn't that the issue
> we are trying to fix?
>
> Option 3, This is avoiding to solve the problem.
>
> Option 4, I don't think this will fly.
>
> Thanks,
>
> Sami
> At 01:53 AM 11/19/2010, Raymond Key wrote:

> Hi PWE3 working group,
>
> In the recent IETF79, we have presented the draft "Pseudowire
> Control Word Negotiation Mechanism Analysis and Update"
> http://tools.ietf.org/html/draft-jin-pwe3-cbit-negotiation-01
>
> This draft describes the problem of control word negotiation
> mechanism specified in RFC4447. Based on the problem analysis,
> possible solutions and their potential shortcomings are also discussed.
>
> The authors would like to have more feedback from the mailing list
> before working on the next version. Grateful if you could review the
> document and post comments on the mailing list.
>
> Thanks,
> Raymond Key
> _______________________________________________
> pwe3 mailing list
> pwe3 at ietf.org
> https://www.ietf.org/mailman/listinfo/pwe3
>
>
> _______________________________________________
> pwe3 mailing list
> pwe3 at ietf.org
> https://www.ietf.org/mailman/listinfo/pwe3